EasyPlayDeveloper
EndpointsLive events

Get live events for a stadium

GET
/live_events/stadium/{id}

Authorization

API Client JWT
AuthorizationBearer <token>

JWT issued by POST /api_clients/token (clientId + clientSecret).

In: header

Path Parameters

id*string

The ID of the stadium

Query Parameters

date?string

The date in ISO format

dateFrom?string

The date from in ISO format

dateTo?string

The date to in ISO format

Response Body

application/json

curl -X GET "https://example.com/live_events/stadium/abc123"
{  "stadium": {    "apiId": "123",    "apiType": "FOTBALLDATA",    "childrenStadiums": [      {        "stadiumId": "123456",        "stadiumName": "Haslum KG 9er A",        "stadiumSize": "9",        "stadiumZone": "A"      }    ],    "closedToPublic": true,    "closedToPublicFromDate": "2023-09-01",    "closedToPublicToDate": "2023-09-10",    "clubId": "club123",    "description": "A large stadium with a capacity of 10,000",    "name": "Awesome Stadium",    "price": {      "activated": true,      "addOnPriceForBooking": {        "price": 100,        "fromTime": "09:00",        "toTime": "17:00"      },      "autoAcceptBooking": true,      "pricePerHourForBooking": 100,      "segment": "stadium_price",      "taxId": "1234567890",      "type": "per_hour",      "zones": [        {          "zoneId": "11",          "price": 100,          "rules": [            {              "price": 100,              "weekDays": [                1,                2,                3,                4,                5              ],              "fromTime": "09:00",              "toTime": "17:00"            }          ]        }      ]    },    "sendBookingToEventClub": false,    "showClubLogoOnEvents": false,    "bookingHiddenFields": [],    "bookingHiddenZones": [],    "size": "9",    "surfaceName": "Gress",    "timeAdded": "2023-09-08T12:34:56Z",    "typeId": "1",    "bookingTimeLimit": {      "value": 10,      "unit": "minutes"    },    "bookingTimeDuration": {      "value": 10,      "unit": "minutes"    },    "bookingTimeInterval": {      "value": 10,      "unit": "minutes"    },    "bookingTimeMinimum": {      "value": 10,      "unit": "minutes"    },    "bookingTimeMaximum": {      "value": 10,      "unit": "minutes"    },    "lastUsedActivityType": "TRENING",    "lastUsedOtherActivityType": "Cup",    "categoryId": "cat123",    "category": {      "name": "Klubbhus",      "slug": "klubbhus",      "sortIndex": 0,      "anonymizeByDefault": false,      "id": "abc123"    },    "anonymizeBookingsExternally": false,    "id": "abc123"  },  "liveEvents": [    {      "id": "string",      "activityType": "string",      "activityTypeName": "string",      "clubId": "string",      "endTime": "string",      "indexWeekday": 0,      "mainStadiumId": "string",      "mainStadiumName": "string",      "stadiumSize": "string",      "stadiumZone": "string",      "startTime": "string",      "tags": [        {          "tagKey": "tagKey",          "tagValue": "My tag"        }      ],      "teamId": "string",      "teamName": "string",      "title": "string",      "baneplanId": "baneplan-123",      "baneplanEventId": "baneplan-event-123",      "bookingId": "booking-123",      "date": "2023-08-15",      "editedEventId": "edited-event-123",      "status": "ACTIVE",      "isEdited": true,      "isEditedVersion": true,      "isMarkedAsCompleted": true,      "isCancelled": false,      "matchInfo": {        "apiType": "FOTBALLDATA",        "awayTeamClubId": "string",        "awayTeamContactPersonEmail": "string",        "awayTeamContactPersonName": "string",        "awayTeamContactPersonPhone": "string",        "awayTeamId": "string",        "awayTeamName": "string",        "homeTeamClubId": "string",        "homeTeamContactPesonEmail": "string",        "homeTeamContactPersonName": "string",        "homeTeamContactPersonPhone": "string",        "homeTeamId": "string",        "homeTeamName": "string",        "matchId": "string",        "matchLink": "string",        "refereePersonInfoHidden": true,        "refereeEmail": "string",        "refereeName": "string",        "refereeMobilePhone": "string",        "stadiumId": "string",        "stadiumName": "string",        "tournamentId": "string",        "tournamentName": "string",        "tournamentRoundNumber": "string",        "activityId": 207,        "playFormat": "9"      },      "originalDate": "2023-08-15",      "effectiveStadiumName": "Ullevaal Stadion",      "effectivePlayFormat": "9",      "isAnonymized": false    }  ]}